org.apache.jmeter.report.config

## Class ConfigurationUtils

- java.lang.Object
- - org.apache.jmeter.report.config.ConfigurationUtils

    public class ConfigurationUtils
    extends Object

The class ConfigurationUtils provides helper method for configuration handling.

Since:
  3.0

### Method Summary

All Methods Static Methods Concrete Methods
`static <TProperty> TProperty` `convert(String value, Class<TProperty> clazz)` Convert the specified string value to the property type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### convert

    public static <TProperty> TProperty convert(String value,
                                                Class<TProperty> clazz)
                                         throws ConfigurationException

Convert the specified string value to the property type.

Type Parameters:
  `TProperty` - the type of the property
Parameters:
  `value` - the string value
  `clazz` - the class of the property (must not be `null`)
Returns:
  the converted string
Throws:
  `ConfigurationException` - when unable to convert the string